<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xddf.usermodel.text Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xddf.usermodel.text Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/package-tree.html">Prev</a></li>
        <li><a href="../../../../../../org/apache/poi/xdgf/exceptions/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.xddf.usermodel.text</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBodyProperties.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBodyProperties</span></a>
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSizeFollowText.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletSizeFollowText</span></a>
                    (implements org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletSize</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSizePercent.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletSizePercent</span></a>
                    (implements org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletSize</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSizePoints.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletSizePoints</span></a>
                    (implements org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletSize</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyleAutoNumbered.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletStyleAutoNumbered</span></a>
                    (implements org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyleCharacter.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletStyleCharacter</span></a>
                    (implements org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyleNone.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletStyleNone</span></a>
                    (implements org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStylePicture.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletStylePicture</span></a>
                    (implements org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFFont.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFFont</span></a></li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFHyperlink.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFHyperlink</span></a></li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFNoAutoFit.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFNoAutoFit</span></a> (implements org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFAutoFit.html"
                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFAutoFit</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFNormalAutoFit.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFNormalAutoFit</span></a> (implements
                    org.apache.poi.xddf.usermodel.text.<a
                            href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFAutoFit.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">XDDFAutoFit</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFParagraphBulletProperties</span></a>
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFParagraphProperties</span></a>
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFRunProperties</span></a></li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFShapeAutoFit.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFShapeAutoFit</span></a> (implements org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFAutoFit.html"
                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFAutoFit</a>)
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFSpacing</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacingPercent.html"
                                title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFSpacingPercent</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacingPoints.html"
                                title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFSpacingPoints</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFTabStop</span></a></li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFTextBody</span></a></li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFTextParagraph</span></a></li>
                <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextRun.html"
                        title="class in org.apache.poi.xddf.usermodel.text"><span
                        class="typeNameLink">XDDFTextRun</span></a></li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                title="interface in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">TextContainer</span></a>
        </li>
        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFAutoFit.html"
                title="interface in org.apache.poi.xddf.usermodel.text"><span
                class="typeNameLink">XDDFAutoFit</span></a></li>
        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                title="interface in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFBulletSize</span></a>
        </li>
        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                title="interface in org.apache.poi.xddf.usermodel.text"><span
                class="typeNameLink">XDDFBulletStyle</span></a></li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/TabAlignment.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">TabAlignment</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/UnderlineType.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">UnderlineType</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/TextAlignment.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">TextAlignment</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/CapsType.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span
                                class="typeNameLink">CapsType</span></a></li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFSpacing.Kind.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">XDDFSpacing.Kind</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/FontAlignment.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">FontAlignment</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/AutonumberScheme.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">AutonumberScheme</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/AnchorType.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span
                                class="typeNameLink">AnchorType</span></a></li>
                        <li type="circle">org.apache.poi.xddf.usermodel.text.<a
                                href="../../../../../../org/apache/poi/xddf/usermodel/text/StrikeType.html"
                                title="enum in org.apache.poi.xddf.usermodel.text"><span
                                class="typeNameLink">StrikeType</span></a></li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/package-tree.html">Prev</a></li>
        <li><a href="../../../../../../org/apache/poi/xdgf/exceptions/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
